Open CASCADE Technology: Adaptor2d_Line2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Adaptor2d_Line2d Class Reference

`#include <Adaptor2d_Line2d.hxx>`

Inheritance diagram for Adaptor2d_Line2d:
[legend]

## Public Member Functions
| Adaptor2d_Line2d ()
| Adaptor2d_Line2d (const gp_Pnt2d &P, const gp_Dir2d &D, const Standard_Real UFirst, const Standard_Real ULast)
void | Load (const gp_Lin2d &L)
void | Load (const gp_Lin2d &L, const Standard_Real UFirst, const Standard_Real ULast)
Standard_Real | FirstParameter () const
Standard_Real | LastParameter () const
GeomAbs_Shape | Continuity () const
Standard_Integer | NbIntervals (const GeomAbs_Shape S) const
| If necessary, breaks the curve in intervals of continuity <S>. And returns the number of intervals. More...
void | Intervals (TColStd_Array1OfReal &T, const GeomAbs_Shape S) const
| Stores in <T> the parameters bounding the intervals of continuity <S>. More...
Handle< Adaptor2d_HCurve2d > | Trim (const Standard_Real First, const Standard_Real Last, const Standard_Real Tol) const
| Returns a curve equivalent of <me> between parameters <First> and <Last>. <Tol> is used to test for 3d points confusion. If <First> >= <Last> More...
Standard_Boolean | IsClosed () const
Standard_Boolean | IsPeriodic () const
Standard_Real | Period () const
gp_Pnt2d | Value (const Standard_Real X) const
| Computes the point of parameter U on the curve. More...
void | D0 (const Standard_Real X, gp_Pnt2d &P) const
| Computes the point of parameter U on the curve. More...
void | D1 (const Standard_Real X, gp_Pnt2d &P, gp_Vec2d &V) const
| Computes the point of parameter U on the curve with its first derivative. Raised if the continuity of the current interval is not C1. More...
void | D2 (const Standard_Real X, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2) const
| Returns the point P of parameter U, the first and second derivatives V1 and V2. Raised if the continuity of the current interval is not C2. More...
void | D3 (const Standard_Real X, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2, gp_Vec2d &V3) const
| Returns the point P of parameter U, the first, the second and the third derivative. Raised if the continuity of the current interval is not C3. More...
gp_Vec2d | DN (const Standard_Real U, const Standard_Integer N) const
| The returned vector gives the value of the derivative for the order of derivation N. Raised if the continuity of the current interval is not CN. Raised if N < 1. More...
Standard_Real | Resolution (const Standard_Real R3d) const
| Returns the parametric resolution corresponding to the real space resolution <R3d>. More...
GeomAbs_CurveType | GetType () const
| Returns the type of the curve in the current interval : Line, Circle, Ellipse, Hyperbola, Parabola, BezierCurve, BSplineCurve, OtherCurve. More...
gp_Lin2d | Line () const
gp_Circ2d | Circle () const
gp_Elips2d | Ellipse () const
gp_Hypr2d | Hyperbola () const
gp_Parab2d | Parabola () const
Standard_Integer | Degree () const
Standard_Boolean | IsRational () const
Standard_Integer | NbPoles () const
Standard_Integer | NbKnots () const
Handle< Geom2d_BezierCurve > | Bezier () const
Handle< Geom2d_BSplineCurve > | BSpline () const
Public Member Functions inherited from Adaptor2d_Curve2d
virtual void | Delete ()
virtual | ~Adaptor2d_Curve2d ()
virtual Standard_Integer | NbSamples () const

## Constructor & Destructor Documentation

Adaptor2d_Line2d::Adaptor2d_Line2d | ( |  | ) |

Adaptor2d_Line2d::Adaptor2d_Line2d | ( | const gp_Pnt2d & | P,
|  | const gp_Dir2d & | D,
|  | const Standard_Real | UFirst,
|  | const Standard_Real | ULast
| ) |  |

## Member Function Documentation

Handle< Geom2d_BezierCurve > Adaptor2d_Line2d::Bezier | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Handle< Geom2d_BSplineCurve > Adaptor2d_Line2d::BSpline | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Circ2d Adaptor2d_Line2d::Circle | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

GeomAbs_Shape Adaptor2d_Line2d::Continuity | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

void Adaptor2d_Line2d::D0 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P
| ) |  | const
| virtual

Computes the point of parameter U on the curve.

Reimplemented from Adaptor2d_Curve2d.

void Adaptor2d_Line2d::D1 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V
| ) |  | const
| virtual

Computes the point of parameter U on the curve with its first derivative. Raised if the continuity of the current interval is not C1.

Reimplemented from Adaptor2d_Curve2d.

void Adaptor2d_Line2d::D2 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V1,
|  | gp_Vec2d & | V2
| ) |  | const
| virtual

Returns the point P of parameter U, the first and second derivatives V1 and V2. Raised if the continuity of the current interval is not C2.

Reimplemented from Adaptor2d_Curve2d.

void Adaptor2d_Line2d::D3 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V1,
|  | gp_Vec2d & | V2,
|  | gp_Vec2d & | V3
| ) |  | const
| virtual

Returns the point P of parameter U, the first, the second and the third derivative. Raised if the continuity of the current interval is not C3.

Reimplemented from Adaptor2d_Curve2d.

Standard_Integer Adaptor2d_Line2d::Degree | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Vec2d Adaptor2d_Line2d::DN | ( | const Standard_Real | U,
|  | const Standard_Integer | N
| ) |  | const
| virtual

The returned vector gives the value of the derivative for the order of derivation N. Raised if the continuity of the current interval is not CN. Raised if N < 1.

Reimplemented from Adaptor2d_Curve2d.

gp_Elips2d Adaptor2d_Line2d::Ellipse | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Adaptor2d_Line2d::FirstParameter | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

GeomAbs_CurveType Adaptor2d_Line2d::GetType | ( |  | ) | const
| virtual

Returns the type of the curve in the current interval : Line, Circle, Ellipse, Hyperbola, Parabola, BezierCurve, BSplineCurve, OtherCurve.

Reimplemented from Adaptor2d_Curve2d.

gp_Hypr2d Adaptor2d_Line2d::Hyperbola | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

void Adaptor2d_Line2d::Intervals | ( | TColStd_Array1OfReal & | T,
|  | const GeomAbs_Shape | S
| ) |  | const
| virtual

Stores in <T> the parameters bounding the intervals of continuity <S>.

The array must provide enough room to accomodate for the parameters. i.e. T.Length() > NbIntervals()

Reimplemented from Adaptor2d_Curve2d.

Standard_Boolean Adaptor2d_Line2d::IsClosed | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Boolean Adaptor2d_Line2d::IsPeriodic | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Boolean Adaptor2d_Line2d::IsRational | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Adaptor2d_Line2d::LastParameter | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Lin2d Adaptor2d_Line2d::Line | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

void Adaptor2d_Line2d::Load | ( | const gp_Lin2d & | L | ) |

void Adaptor2d_Line2d::Load | ( | const gp_Lin2d & | L,
|  | const Standard_Real | UFirst,
|  | const Standard_Real | ULast
| ) |  |

Standard_Integer Adaptor2d_Line2d::NbIntervals | ( | const GeomAbs_Shape | S | ) | const
| virtual

If necessary, breaks the curve in intervals of continuity <S>. And returns the number of intervals.

Reimplemented from Adaptor2d_Curve2d.

Standard_Integer Adaptor2d_Line2d::NbKnots | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Integer Adaptor2d_Line2d::NbPoles | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Parab2d Adaptor2d_Line2d::Parabola | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Adaptor2d_Line2d::Period | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Adaptor2d_Line2d::Resolution | ( | const Standard_Real | R3d | ) | const
| virtual

Returns the parametric resolution corresponding to the real space resolution <R3d>.

Reimplemented from Adaptor2d_Curve2d.

Handle< Adaptor2d_HCurve2d > Adaptor2d_Line2d::Trim | ( | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Standard_Real | Tol
| ) |  | const
| virtual

Returns a curve equivalent of <me> between parameters <First> and <Last>. <Tol> is used to test for 3d points confusion. If <First> >= <Last>

Reimplemented from Adaptor2d_Curve2d.

gp_Pnt2d Adaptor2d_Line2d::Value | ( | const Standard_Real | U | ) | const
| virtual

Computes the point of parameter U on the curve.

Reimplemented from Adaptor2d_Curve2d.

The documentation for this class was generated from the following file:

- Adaptor2d_Line2d.hxx